aboutsummaryrefslogtreecommitdiffstats
path: root/policy-management/src/main/server-gen/bin/telemetry
diff options
context:
space:
mode:
authorJorge Hernandez <jh1730@att.com>2018-09-10 23:27:53 -0500
committerJorge Hernandez <jh1730@att.com>2018-09-10 23:38:30 -0500
commit64004833c5c71ae75c8fff71d48e4d3d670ac70e (patch)
tree657df5a78d05bf776d35eb2435b7840fb78edd0f /policy-management/src/main/server-gen/bin/telemetry
parent6c11303e4a4af3df99754a7c7028284231961fe5 (diff)
disabling http for configuration services
per security recommendations. Change-Id: Ic195f8270c2270239408e33e27f87436878e28b4 Signed-off-by: Jorge Hernandez <jh1730@att.com> Issue-ID: POLICY-1104
Diffstat (limited to 'policy-management/src/main/server-gen/bin/telemetry')
-rw-r--r--policy-management/src/main/server-gen/bin/telemetry4
1 files changed, 2 insertions, 2 deletions
diff --git a/policy-management/src/main/server-gen/bin/telemetry b/policy-management/src/main/server-gen/bin/telemetry
index 397c2508..7058d64c 100644
--- a/policy-management/src/main/server-gen/bin/telemetry
+++ b/policy-management/src/main/server-gen/bin/telemetry
@@ -35,10 +35,10 @@ fi
if [[ ! -r ${TELEMETRY_SPEC} ]]; then
echo "generating new spec .."
- if ! http -a "${ENGINE_MANAGEMENT_USER}:${ENGINE_MANAGEMENT_PASSWORD}" :9696/swagger.json > ${TELEMETRY_SPEC} 2> /dev/null; then
+ if ! http --verify=no -a "${ENGINE_MANAGEMENT_USER}:${ENGINE_MANAGEMENT_PASSWORD}" https://localhost:9696/swagger.json > ${TELEMETRY_SPEC} 2> /dev/null; then
echo "error: cannot generate telemetry spec"
exit 3
fi
fi
-exec http-prompt http://localhost:9696/policy/pdp/engine --auth "${ENGINE_MANAGEMENT_USER}:${ENGINE_MANAGEMENT_PASSWORD}" --spec ${TELEMETRY_SPEC}
+exec http-prompt https://localhost:9696/policy/pdp/engine --verify=no --auth "${ENGINE_MANAGEMENT_USER}:${ENGINE_MANAGEMENT_PASSWORD}" --spec ${TELEMETRY_SPEC}